\ProvidesPackage{fancyhdr-std}

%% Options
% SIRET number - enabled by siret option
\newcommand{\siret}{}
\DeclareOption{siret}{
    \renewcommand{\siret}{SIRET 509 021 135 00017}
}

% noheader sets up @noheader boolean
\makeatletter
\newif\if@noheader\@noheaderfalse
\DeclareOption{noheader}{
    \@noheadertrue
}

% nofooter sets up @nofooter boolean
\newif\if@nofooter\@nofooterfalse
\DeclareOption{nofooter}{
    \@nofootertrue
}

% samehead sets up @samehead boolean
\newif\if@samehead\@sameheadfalse
\DeclareOption{samehead}{
    \@sameheadtrue
}

% nopage sets up @nodate boolean
\newif\if@nodate\@nodatefalse
\DeclareOption{nodate}{
    \@nodatetrue
}

% pagecount sets up @pagecount boolean
\newif\if@pagecount\@pagecountfalse
\DeclareOption{pagecount}{
    \@pagecounttrue
}

% Landscape
\def\@headheight{50pt}
\def\@headsep{25pt}
\DeclareOption{landscape}{
    \def\@headheight{50pt}
    \def\@headsep{20pt}
}

\makeatother
\ProcessOptions\relax

%% Geometry:
% noheader implies no margins
\makeatletter
\if@noheader
    \PassOptionsToPackage{hmargin=2cm,headheight=0pt}{geometry}
    \renewcommand{\headrulewidth}{0pt}
\else
    \PassOptionsToPackage{hmargin=2cm,headheight=\@headheight,headsep=\@headsep}{geometry}
    \renewcommand{\headrulewidth}{0.5pt}
\fi

% no footer means no margin
\if@nofooter
    \PassOptionsToPackage{footskip=0pt,bottom=0.9in}{geometry}
    \renewcommand{\footrulewidth}{0pt}
\else
    \PassOptionsToPackage{footskip=20pt,bottom=0.9in}{geometry}
    \renewcommand{\footrulewidth}{0.5pt}
\fi
\makeatother
\RequirePackage{geometry}

\RequirePackage{hyperref}

% Prologin info footer
\newcommand{\ProloFoot}{
    \footnotesize Association Prologin - \siret\\
    14 -- 16 rue Voltaire --- 94270 Le Kremlin-Bicêtre --- France\\
    Tél. : 01 44 08 01 90 --- E-mail : \href{mailto:info@prologin.org}{info@prologin.org} --- \url{https://prologin.org}
}

%% Header
\makeatletter
\if@noheader
    \lhead{}
    \chead{}
    \rhead{}
\else
    \lhead{\includegraphics[width=.3\textwidth]{logo\editionyear.pdf}}
    \chead{}
    \if@nodate
        \rhead{}
    \else
        \rhead{\today\\\textbf{\@title}}
    \fi
\fi
%% Footer
\if@nofooter
    \lfoot{}
    \cfoot{}
    \rfoot{}
\else
    \lfoot{}
    \cfoot{\ProloFoot}
    \if@pagecount
        \rfoot{\footnotesize Page \thepage/\pageref{LastPage}}
    \else
        \rfoot{}
    \fi
\fi

%% Pagestyle for first page
\fancypagestyle{firstpagestyle}{
    % Header
    \if@noheader
        \fancyhead{}
    \else
        \fancyhf{}
        \fancyhead[L]{
            \includegraphics[width=.3\textwidth]{logo\editionyear.pdf}
        }
        \if@nodate
            \fancyhead[R]{}
        \else
            \fancyhead[R]{\today}
        \fi
    \fi
    % Footer
    \if@nofooter
        \lfoot{}
        \cfoot{}
        \rfoot{}
    \else
        \lfoot{}
        \cfoot{\ProloFoot}
        \rfoot{}
    \fi
}

% Sets the default style
\pagestyle{fancy}
\makeatletter
% Sets the first page if no samehead
\AtBeginDocument{\if@samehead\else\thispagestyle{firstpagestyle}\fi
{\maketitle}}
\makeatother

%End of Package
\endinput
